DestroyusProApi = {}
DestroyusProApi.__index = DestroyusProApi

setmetatable(DestroyusProApi, {
  __call = function (cls)
    return cls.new()
  end,
})

function DestroyusProApi.new()
    local self = setmetatable({}, DestroyusProApi)
    self:_init()
    return self
end

function DestroyusProApi._init(self)
	self.fp = _DPProfessionApi(1) -- First Profession API
	self.sp = _DPProfessionApi(2) -- Second Profession API
  self.cif = _DPContainerItemApi() -- Item Info Api
  self.ts = _DPTradeSkillApi() -- Tradek Skill API
end