_DPSettingsManagerUI = {}

function _DPSettingsManagerUI.changeStatePrintout_OnClick(self, event)
	if self:GetChecked() then
		DestroyusProMain.changeStateForPrintout(false) -- This place disable printouts
	else
		DestroyusProMain.changeStateForPrintout(true) -- This place enabled printouts
	end
end

function _DPSettingsManagerUI.MassProspectingLegion_OnClick(self, event)
    if self:GetChecked() then
        DestroyusProMain.macroMgr:macroCD(_DPMacroManager.CREATED, 
		_DPMacroManager.MASSPROSPECTINGUS, _DPMacroManager.GROUP_OF_SMALL_ROCKS,
		DestroyusProMain.buttonNameMassProspectingLegion, _DPMacroManager.DESPRONONE)
	else
		DestroyusProMain.macroMgr:macroCD(_DPMacroManager.DELETED,
		_DPMacroManager.MASSPROSPECTINGUS, _DPMacroManager.GROUP_OF_SMALL_ROCKS,
		DestroyusProMain.buttonNameMassProspectingLegion, _DPMacroManager.DESPRONONE)
	end
end

function _DPSettingsManagerUI.MassMilingLegion_OnClick(self, event)
    if self:GetChecked() then
        DestroyusProMain.macroMgr:macroCD(_DPMacroManager.CREATED, 
		_DPMacroManager.MASSMILLINGUS, _DPMacroManager.BLUE_BOWL,
		DestroyusProMain.buttonNameMassMillingLegion, _DPMacroManager.DESPRONONE)
	else
		DestroyusProMain.macroMgr:macroCD(_DPMacroManager.DELETED,
		_DPMacroManager.MASSMILLINGUS, _DPMacroManager.BLUE_BOWL,
		DestroyusProMain.buttonNameMassMillingLegion, _DPMacroManager.DESPRONONE)
	end
end

function _DPSettingsManagerUI.MassProspectingAzeroth_OnClick(self, event)
    if self:GetChecked() then
        DestroyusProMain.macroMgr:macroCD(_DPMacroManager.CREATED, 
		_DPMacroManager.MASSPROSPECTINGUSAZEROTH, _DPMacroManager.BROWN_DUST,
		DestroyusProMain.buttonNameMassProspectingAzeroth, _DPMacroManager.DESPRONONE)
	else
		DestroyusProMain.macroMgr:macroCD(_DPMacroManager.DELETED,
		_DPMacroManager.MASSPROSPECTINGUSAZEROTH, _DPMacroManager.BROWN_DUST,
		DestroyusProMain.buttonNameMassProspectingAzeroth, _DPMacroManager.DESPRONONE)
	end
end

function _DPSettingsManagerUI.MassMilingAzeroth_OnClick(self, event)
    if self:GetChecked() then
        DestroyusProMain.macroMgr:macroCD(_DPMacroManager.CREATED, 
		_DPMacroManager.MASSMILLINGUSAZEROTH, _DPMacroManager.BOX_WITH_RED_DUST,
		DestroyusProMain.buttonNameMassMillingAzeroth, _DPMacroManager.DESPRONONE)
	else
		DestroyusProMain.macroMgr:macroCD(_DPMacroManager.DELETED,
		_DPMacroManager.MASSMILLINGUSAZEROTH, _DPMacroManager.BOX_WITH_RED_DUST,
		DestroyusProMain.buttonNameMassMillingAzeroth, _DPMacroManager.DESPRONONE)
	end
end

function _DPSettingsManagerUI.Prospecting_OnClick(self, event)
    if self:GetChecked() then
        DestroyusProMain.macroMgr:macroCD(_DPMacroManager.CREATED, 
		_DPMacroManager.PROSPECTINGUS, _DPMacroManager.SMALL_ROCK,
		DestroyusProMain.buttonNameProspecting, _DPMacroManager.DESPRONONE)
	else
		DestroyusProMain.macroMgr:macroCD(_DPMacroManager.DELETED,
		_DPMacroManager.PROSPECTINGUS, _DPMacroManager.SMALL_ROCK,
		DestroyusProMain.buttonNameProspecting, _DPMacroManager.DESPRONONE)
	end
end

function _DPSettingsManagerUI.Miling_OnClick(self, event)
    if self:GetChecked() then
        DestroyusProMain.macroMgr:macroCD(_DPMacroManager.CREATED, 
		_DPMacroManager.MILLINGUS, _DPMacroManager.RED_BOWL,
		DestroyusProMain.buttonNameMilling, _DPMacroManager.DESPRONONE)
	else
		DestroyusProMain.macroMgr:macroCD(_DPMacroManager.DELETED,
		_DPMacroManager.MILLINGUS, _DPMacroManager.RED_BOWL,
		DestroyusProMain.buttonNameMilling, _DPMacroManager.DESPRONONE)
	end
end

function _DPSettingsManagerUI.Disenchanting_OnClick(self, event)
    if self:GetChecked() then
        DestroyusProMain.macroMgr:macroCD(_DPMacroManager.CREATED, 
		_DPMacroManager.DISENCHANTUS, _DPMacroManager.BLACK_MAGIC_HAND,
		DestroyusProMain.buttonNameDisenchanting, _DPMacroManager.DESPRONONE)
	else
		DestroyusProMain.macroMgr:macroCD(_DPMacroManager.DELETED,
		_DPMacroManager.DISENCHANTUS, _DPMacroManager.BLACK_MAGIC_HAND,
		DestroyusProMain.buttonNameDisenchanting, _DPMacroManager.DESPRONONE)
	end
end

function _DPSettingsManagerUI.Uncommon_OnClick(self, event)
    if self:GetChecked() then
        DestroyusProMain.changeQualityDisenchanting("uncommon",
		                   DestroyusProApi.strToNumQuality["uncommon"])
	else
	    DestroyusProMain.changeQualityDisenchanting("uncommon",
		                   DestroyusProApi.unknowNumber)
	end
end

function _DPSettingsManagerUI.Rare_OnClick(self, event)
    if self:GetChecked() then
        DestroyusProMain.changeQualityDisenchanting("rare",
		                   DestroyusProApi.strToNumQuality["rare"])
	else
	    DestroyusProMain.changeQualityDisenchanting("rare",
		                   DestroyusProApi.unknowNumber)
	end
end

function _DPSettingsManagerUI.Epic_OnClick(self, event)
    if self:GetChecked() then
        DestroyusProMain.changeQualityDisenchanting("epic",
		                   DestroyusProApi.strToNumQuality["epic"])
	else
	    DestroyusProMain.changeQualityDisenchanting("epic",
		                   DestroyusProApi.unknowNumber)
	end
end

function _DPSettingsManagerUI.OkayButton_OnClick(self, event)
	self:GetParent():Hide()
end

function _DPSettingsManagerUI.MainFrame_OnShow(self, event, arg1)	
	self._DPOptionFrame.panel.checkButtons["DisablePrintout"]:SetChecked(
	          not _G["DestroyusProPrintOutState"])	
    self._DPOptionFrame.panel.checkButtons["UncommonQualityS"]:SetChecked(
	          _G["DestroyusProItemQualityValue"]["uncommon"] ==
			  DestroyusProApi.strToNumQuality["uncommon"])
    self._DPOptionFrame.panel.checkButtons["RareQualityS"]:SetChecked(
	          _G["DestroyusProItemQualityValue"]["rare"] ==
			  DestroyusProApi.strToNumQuality["rare"])
    self._DPOptionFrame.panel.checkButtons["EpicQualityS"]:SetChecked(
	          _G["DestroyusProItemQualityValue"]["epic"] ==
			  DestroyusProApi.strToNumQuality["epic"])
end

function _DPSettingsManagerUI.MainFrame_MacroUpdate(self, event, arg1)
	if event == "UPDATE_MACROS" then
		if _G["DestroyusProDPVersionMacroUpdate0_2_0"] == nil then
			_G["DestroyusProDPVersionMacroUpdate0_2_0"] = true
			DestroyusProMain.macroMgr:macroCD(_DPMacroManager.UPDATE, 
			_DPMacroManager.OLDMASSPROSPECTINGUS, _DPMacroManager.GROUP_OF_SMALL_ROCKS,
			DestroyusProMain.buttonNameMassProspectingLegion, _DPMacroManager.MASSPROSPECTINGUS)
			
			DestroyusProMain.macroMgr:macroCD(_DPMacroManager.UPDATE, 
			_DPMacroManager.OLDMASSMILLINGUS, _DPMacroManager.BLUE_BOWL,
			DestroyusProMain.buttonNameMassMillingLegion, _DPMacroManager.MASSMILLINGUS)
			
			DestroyusProMain.macroMgr:macroCD(_DPMacroManager.UPDATE, 
			_DPMacroManager.OLDPROSPECTINGUS, _DPMacroManager.SMALL_ROCK,
			DestroyusProMain.buttonNameProspecting, _DPMacroManager.PROSPECTINGUS)
			
			DestroyusProMain.macroMgr:macroCD(_DPMacroManager.UPDATE, 
			_DPMacroManager.OLDMILLINGUS, _DPMacroManager.RED_BOWL,
			DestroyusProMain.buttonNameMilling, _DPMacroManager.MILLINGUS)
			
			DestroyusProMain.macroMgr:macroCD(_DPMacroManager.UPDATE,
			_DPMacroManager.OLDDISENCHANTUS, _DPMacroManager.BLACK_MAGIC_HAND,
			DestroyusProMain.buttonNameDisenchanting, _DPMacroManager.DISENCHANTUS)
			return nil
		end

	    self._DPOptionFrame.panel.checkButtons["MassProspectingus"]:SetChecked(
              DestroyusProMain.macroMgr:macroExist(_DPMacroManager.MASSPROSPECTINGUS))
	    self._DPOptionFrame.panel.checkButtons["Millingus"]:SetChecked(
              DestroyusProMain.macroMgr:macroExist(_DPMacroManager.MILLINGUS))
	    self._DPOptionFrame.panel.checkButtons["Prospectingus"]:SetChecked(
              DestroyusProMain.macroMgr:macroExist(_DPMacroManager.PROSPECTINGUS))
	    self._DPOptionFrame.panel.checkButtons["MassMillingus"]:SetChecked(
              DestroyusProMain.macroMgr:macroExist(_DPMacroManager.MASSMILLINGUS))
	    self._DPOptionFrame.panel.checkButtons["Disenchantus"]:SetChecked(
              DestroyusProMain.macroMgr:macroExist(_DPMacroManager.DISENCHANTUS))
		self._DPOptionFrame.panel.checkButtons["MassProspectingusAzeroth"]:SetChecked(
			  DestroyusProMain.macroMgr:macroExist(_DPMacroManager.MASSPROSPECTINGUSAZEROTH))
		self._DPOptionFrame.panel.checkButtons["MassMillingusAzeroth"]:SetChecked(
			  DestroyusProMain.macroMgr:macroExist(_DPMacroManager.MASSMILLINGUSAZEROTH))
	end
	if event == "PLAYER_REGEN_DISABLED" then
		self._DPOptionFrame.panel.checkButtons["MassProspectingus"]:Disable()
	    self._DPOptionFrame.panel.checkButtons["Millingus"]:Disable()
	    self._DPOptionFrame.panel.checkButtons["Prospectingus"]:Disable()
	    self._DPOptionFrame.panel.checkButtons["MassMillingus"]:Disable()
		self._DPOptionFrame.panel.checkButtons["Disenchantus"]:Disable()
	    self._DPOptionFrame.panel.checkButtons["MassMillingusAzeroth"]:Disable()
	    self._DPOptionFrame.panel.checkButtons["MassProspectingusAzeroth"]:Disable()
		return nil
	end
	if event == "PLAYER_REGEN_ENABLED" then
		self._DPOptionFrame.panel.checkButtons["MassProspectingus"]:Enable()
	    self._DPOptionFrame.panel.checkButtons["Millingus"]:Enable()
	    self._DPOptionFrame.panel.checkButtons["Prospectingus"]:Enable()
	    self._DPOptionFrame.panel.checkButtons["MassMillingus"]:Enable()
		self._DPOptionFrame.panel.checkButtons["Disenchantus"]:Enable()
	    self._DPOptionFrame.panel.checkButtons["MassProspectingusAzeroth"]:Enable()
	    self._DPOptionFrame.panel.checkButtons["MassMillingusAzeroth"]:Enable()
		return nil
	end
end

function _DPSettingsManagerUI.CollectMassSpellsButton_OnClick(self, event)
	DestroyusProMain.startCalibration()
end
