-- Trade Goods Class and Subclass ID Table
DestroyusProApi.itemSubClassIdHerbs = {}
DestroyusProApi.itemSubClassIdOres = {}
DestroyusProApi.itemClassIdTradeGoods = {}
DestroyusProApi.itemClassOreId = {}

DestroyusProApi.TRADE_GOODS_CLASS_ID = 7
DestroyusProApi.HERBS_SUBCLASS_ID = 9
DestroyusProApi.ORES_SUBCLASS_ID = 7

-- Class and SubClass Trade Goods ID
DestroyusProApi.itemClassIdTradeGoods[DestroyusProApi.TRADE_GOODS_CLASS_ID] = true
DestroyusProApi.itemSubClassIdOres[DestroyusProApi.ORES_SUBCLASS_ID] = true  
DestroyusProApi.itemSubClassIdHerbs[DestroyusProApi.HERBS_SUBCLASS_ID] = true 

-- Ores Index. To resolve difference between ores and bars
DestroyusProApi.itemClassOreId[2770] = true  -- "Copper Ore"
DestroyusProApi.itemClassOreId[2771] = true  -- "Tin Ore"
DestroyusProApi.itemClassOreId[2772] = true  -- "Iron Ore"
DestroyusProApi.itemClassOreId[3858] = true  -- "Mithril Ore"
DestroyusProApi.itemClassOreId[10620] = true -- "Thorium Ore"
DestroyusProApi.itemClassOreId[23424] = true -- "Fel Iron Ore"
DestroyusProApi.itemClassOreId[23425] = true -- "Adamantite Ore"
DestroyusProApi.itemClassOreId[36909] = true -- "Cobalt Ore"
DestroyusProApi.itemClassOreId[36912] = true -- "Saronite Ore"
DestroyusProApi.itemClassOreId[36910] = true -- "Titanium Ore"
DestroyusProApi.itemClassOreId[53038] = true -- "Obsidium Ore"
DestroyusProApi.itemClassOreId[52185] = true -- "Elementium Ore"
DestroyusProApi.itemClassOreId[52183] = true -- "Pyrite Ore"
DestroyusProApi.itemClassOreId[72092] = true -- "Ghost Iron Ore"
DestroyusProApi.itemClassOreId[72093] = true -- "Kyparite"
DestroyusProApi.itemClassOreId[72103] = true -- "White Trillium Ore"
DestroyusProApi.itemClassOreId[72094] = true -- "Black Trillium Ore"
-- Legion Ore
DestroyusProApi.itemClassOreId[123918] = true -- "Leystone Ore"
DestroyusProApi.itemClassOreId[123919] = true -- "Felslate"
DestroyusProApi.itemClassOreId[151564] = true -- "Empyrium"
-- Battle for Azeroth Ore
DestroyusProApi.itemClassOreId[152513] = true -- "Platinum Ore"
DestroyusProApi.itemClassOreId[152512] = true -- "Monelite Ore"
DestroyusProApi.itemClassOreId[152579] = true -- "Storm Silver Ore"
-- Set default value for elements not exist in tables
ExtraTabFun.setDefault(DestroyusProApi.itemClassOreId, false)
ExtraTabFun.setDefault(DestroyusProApi.itemClassIdTradeGoods, false)
ExtraTabFun.setDefault(DestroyusProApi.itemSubClassIdOres, false)
ExtraTabFun.setDefault(DestroyusProApi.itemSubClassIdHerbs, false)
